summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBent Bisballe Nyeng <deva@aasimon.org>2018-10-18 20:27:39 +0200
committerBent Bisballe Nyeng <deva@aasimon.org>2018-10-18 20:27:39 +0200
commitb9c05c1c3aa234c32fd29e96836c19e646cec076 (patch)
tree9f94cc065bf4b460fb5ca5004ca8452e721dc299
parent4e8eb064c1389d7e0c8f1e5943393d4d89e7e521 (diff)
Fix dhcp server configuration and startup script.
-rw-r--r--recipes-connectivity/dhcp/files/default-server7
-rw-r--r--recipes-connectivity/dhcp/files/init-server44
2 files changed, 51 insertions, 0 deletions
diff --git a/recipes-connectivity/dhcp/files/default-server b/recipes-connectivity/dhcp/files/default-server
new file mode 100644
index 0000000..930991a
--- /dev/null
+++ b/recipes-connectivity/dhcp/files/default-server
@@ -0,0 +1,7 @@
+# Defaults for dhcp initscript
+# sourced by /etc/init.d/dhcp-server
+# installed at /etc/default/dhcp-server by the maintainer scripts
+
+# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
+# Separate multiple interfaces with spaces, e.g. "eth0 eth1".
+INTERFACES="eth0"
diff --git a/recipes-connectivity/dhcp/files/init-server b/recipes-connectivity/dhcp/files/init-server
new file mode 100644
index 0000000..4852653
--- /dev/null
+++ b/recipes-connectivity/dhcp/files/init-server
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
+#
+
+test -f /usr/sbin/dhcpd || exit 0
+
+# It is not safe to start if we don't have a default configuration...
+if [ ! -f /etc/default/dhcp-server ]; then
+ echo "/etc/default/dhcp-server does not exist! - Aborting..."
+ exit 0
+fi
+
+# Read init script configuration (so far only interfaces the daemon
+# should listen on.)
+. /etc/default/dhcp-server
+
+case "$1" in
+ start)
+ echo -n "Starting DHCP server: "
+ test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
+ test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
+ start-stop-daemon -S --background -x /usr/sbin/dhcpd -- -f -user dhcp -group dhcp -q $INTERFACES
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping DHCP server: dhcpd3"
+ start-stop-daemon -K -x /usr/sbin/dhcpd
+ echo "."
+ ;;
+ restart | force-reload)
+ $0 stop
+ sleep 2
+ $0 start
+ if [ "$?" != "0" ]; then
+ exit 1
+ fi
+ ;;
+ *)
+ echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0